Crystal Space: csKDTreeChild Class Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csKDTreeChild Class Reference
[Geometry utilities]

A child in the KD-tree (usually some object). More...

`#include <csgeom/kdtree.h>`

List of all members.

## Public Member Functions
void | AddLeaf (csKDTree *leaf)
| Physically add a leaf to this child.
int | FindLeaf (csKDTree *leaf)
| Find leaf.
const csBox3 & | GetBBox () const
| Get the bounding box of this object.
void * | GetObject () const
| Get the pointer to the black box object.
void | RemoveLeaf (csKDTree *leaf)
| Physically remove a leaf from this child.
void | RemoveLeaf (int idx)
| Physically remove a leaf from this child.
void | ReplaceLeaf (csKDTree *old_leaf, csKDTree *new_leaf)
| Replace a leaf with another one.
## Public Attributes
uint32 | timestamp
## Friends
class | csKDTree

## Detailed Description

A child in the KD-tree (usually some object).

Definition at line 95 of file kdtree.h.

## Member Function Documentation

void csKDTreeChild::AddLeaf | ( | csKDTree * | leaf | ) |

Physically add a leaf to this child.

int csKDTreeChild::FindLeaf | ( | csKDTree * | leaf | ) |

Find leaf.

const csBox3& csKDTreeChild::GetBBox | ( |  | ) | const`[inline]`

Get the bounding box of this object.

Definition at line 135 of file kdtree.h.

void* csKDTreeChild::GetObject | ( |  | ) | const`[inline]`

Get the pointer to the black box object.

Definition at line 140 of file kdtree.h.

void csKDTreeChild::RemoveLeaf | ( | csKDTree * | leaf | ) |

Physically remove a leaf from this child.

void csKDTreeChild::RemoveLeaf | ( | int | idx | ) |

Physically remove a leaf from this child.

void csKDTreeChild::ReplaceLeaf | ( | csKDTree * | old_leaf,
|  | csKDTree * | new_leaf |
| ) |  |  |

Replace a leaf with another one.

This is more efficient than doing RemoveLeaf/AddLeaf and it is useful in many cases where you want to move a child in the tree.

The documentation for this class was generated from the following file:

- csgeom/kdtree.h